Bug 1577335 - /usr/libexec/sssd/sssd_autofs SIGABRT crash daily
Summary: /usr/libexec/sssd/sssd_autofs SIGABRT crash daily
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 7.6
Assignee: Jakub Hrozek
QA Contact: sssd-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 18:23 UTC by Brian Smith
Modified: 2020-05-02 18:58 UTC (History)
11 users (show)

Fixed In Version: sssd-1.16.2-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:42:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 4758 0 None closed /usr/libexec/sssd/sssd_autofs SIGABRT crash daily due to a double free 2020-12-14 13:22:35 UTC
Red Hat Product Errata RHSA-2018:3158 0 None None None 2018-10-30 10:43:34 UTC

Description Brian Smith 2018-05-11 18:23:23 UTC
Description of problem:
The sssd_autofs process crashes shortly after 19:00 each day, with a signal 6 (SIGABRT).   Log file shows:  [sssd[autofs]] [talloc_log_fn] (0x0010): Bad talloc magic value - unknown value

Version-Release number of selected component (if applicable):
sssd-common-1.13.3-58.el6_9

How reproducible:
Occur's shortly after 21:00 daily.  

Steps to Reproduce:
1. Between 21:00 and 21:01 each day sssd_autofs crashes.

Actual results:
sssd_autofs crashes

Expected results:
sssd_autofs doesn't crash

Additional info:
Only happening on one RHEL 6.9 server in environment.   Tried copying sssd.conf file from server that didn't have issue to server that did, and issue still happens daily.   The servers have the same version of the sssd filesets.

Comment 11 Jakub Hrozek 2018-05-31 10:35:06 UTC
Upstream ticket:
https://pagure.io/SSSD/sssd/issue/3752

Comment 12 Fabiano Fidêncio 2018-05-31 21:03:57 UTC
master:
 7567215

Comment 13 Fabiano Fidêncio 2018-05-31 21:20:51 UTC
sssd-1-13:
 8cf14ee

Comment 18 errata-xmlrpc 2018-10-30 10:42:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3158


Note You need to log in before you can comment on or make changes to this bug.